Accepted: pam 1.0.1-4ubuntu1 (source)

Steve Langasek steve.langasek at
Sat Sep 13 09:50:14 BST 2008

 OK: pam_1.0.1.orig.tar.gz
 OK: pam_1.0.1-4ubuntu1.diff.gz
 OK: pam_1.0.1-4ubuntu1.dsc
     -> Component: main Section: libs

Hash: SHA1

Format: 1.8
Date: Sat, 13 Sep 2008 08:36:03 +0000
Source: pam
Binary: libpam0g libpam-modules libpam-runtime libpam0g-dev libpam-cracklib libpam-doc
Architecture: source
Version: 1.0.1-4ubuntu1
Distribution: intrepid
Urgency: high
Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss at>
Changed-By: Steve Langasek <steve.langasek at>
 libpam-cracklib - PAM module to enable cracklib support
 libpam-doc - Documentation of PAM
 libpam-modules - Pluggable Authentication Modules for PAM
 libpam-runtime - Runtime support for the PAM library
 libpam0g   - Pluggable Authentication Modules library
 libpam0g-dev - Development files for PAM
Closes: 495804 495879 496620 496983
 pam (1.0.1-4ubuntu1) intrepid; urgency=low
   * Merge from Debian unstable
   * Remaining changes:
     - debian/libpam-modules.postinst: Add PATH to /etc/environment if it's not
       present there or in /etc/security/pam_env.conf. (should send to Debian).
     - debian/libpam0g.postinst: only ask questions during update-manager when
       there are non-default services running.
     - debian/patches-applied/series: Ubuntu patches are as below ...
     - debian/patches-applied/ubuntu-fix_standard_types: Use standard u_int8_t
       type rather than __u8.
     - debian/patches-applied/ubuntu-no-error-if-missingok: add a new, magic
       module option 'missingok' which will suppress logging of errors by
       libpam if the module is not found.
     - debian/patches-applied/ubuntu-regression_fix_securetty: prompt for
       password on bad username.
     - debian/patches-applied/ubuntu-rlimit_nice_correction: Explicitly
       initialise RLIMIT_NICE rather than relying on the kernel limits.
     - debian/patches-applied/ubuntu-user_defined_environment: Look at
       ~/.pam_environment too, with the same format as
       /etc/security/pam_env.conf.  (Originally patch 100; converted to quilt.)
     - Change Vcs-Bzr to point at the Ubuntu branch.
     - debian/local/pam-auth-update (et al): new interface for managing
       /etc/pam.d/common-*, using drop-in config snippets provided by module
     - debian/local/common-password, debian/pam-configs/unix: switch from
       "md5" to "sha512" as password crypt default.
   * Bump the version numbers referenced in the config files, again, as pam
     has revved in Debian and moved the bar.
   * debian/pam-config/*: refine the password profiles to use a 'primary'
     block, to better parallel the auth structure.
   * Drop '-Final' from the field names in /usr/share/pam-configs, supporting
     these field names for backwards compatibility only
   * Bump the dependency version requirement to 1.0.1-4ubuntu1 for the above
 pam (1.0.1-4) unstable; urgency=high
   * High-urgency upload for RC bugfix.
   [ Julien Cristau ]
   * pam_unix-chkpwd-wait: don't assume that the unix_chkpwd process exits
     normally; if it was killed by a signal, we don't want to accept the
     password.  Closes: #495879.
   [ Steve Langasek ]
   * 007_modules_pam_unix: update the manpage at the same time as the xml
     source (grr, autogenerated files in source packages).  Closes: #495804.
   * 055_pam_unix_nullok_secure: also don't call the helper at all from
     _unix_blankpasswd when we can detect that null passwords are disallowed,
     to avoid causing spammy logs on successful authentications.
     Closes: #496620.
   * debian/rules: call chgrp *before* calling chmod, lest the sgid bit
     on unix_chkpwd be cleared during the build when using -rsudo.
     Closes: #496983.
 bf88739c71665c16a5d113fb06545f103ecde70d 1578 pam_1.0.1-4ubuntu1.dsc
 be268a2bf189d79dde6290a84e85a98c0f851d61 160581 pam_1.0.1-4ubuntu1.diff.gz
 b8d19018ee15382ad4eb323cb0ad18c44774f9f705ae8da0bd995138371456e0 1578 pam_1.0.1-4ubuntu1.dsc
 3a08fd68ced864f9b1fda6dd3607cac2db537c9b6204a3ff1dd296b2fb9123e8 160581 pam_1.0.1-4ubuntu1.diff.gz
 a5a72521a685d9ba72d57293a4d22415 1578 libs optional pam_1.0.1-4ubuntu1.dsc
 a94f869f250c2c8b8f526a503bb9b8cb 160581 libs optional pam_1.0.1-4ubuntu1.diff.gz
Original-Maintainer: Steve Langasek <vorlon at>

Version: GnuPG v1.4.9 (GNU/Linux)


More information about the Intrepid-changes mailing list